<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Products</ion-title>
    <!-- <ion-buttons slot="end">
      <ion-button (click)="signOut()">
        <ion-icon slot="icon-only" name="log-out"></ion-icon>
      </ion-button>
    </ion-buttons> -->
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item *ngFor="let document of documents | async" [routerLink]="[document.id]">
      <ion-thumbnail slot="start">
        <img [src]="document.data.img" />
      </ion-thumbnail>
      <ion-label>
        {{ document.data.name }}
        <p>{{ document.data.price | currency:'BRL' }}</p>
      </ion-label>
    </ion-item>
  </ion-list>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button (click)="openCart()">
      <div class="cart-length">{{ cartItemCount | async }}</div>
      <ion-icon name="cart" class="cart-icon"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
